%global apiversion 0.1

Name: libgltf
Version: 0.1.0
Release: 7%{?dist}
Summary: A library for rendering glTF models

License: MPLv2.0
URL: https://wiki.documentfoundation.org/Development/libgltf
Source: http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.gz

BuildRequires: boost-devel
BuildRequires: glm-devel
BuildRequires: pkgconfig(epoxy)

%description
%{name} is a library for rendering glTF models -- development glTF, the GL
Transmission Format, is the runtime asset format for the GL APIs: WebGL,
OpenGL ES, and OpenGL. glTF bridges the gap between formats used by modeling
tools and the GL APIs.

%{name} provides methods to load the OpenGL scene from glTF format and render
it into an existing OpenGL context. %{name} also allows to change the camera
position so the scene can be displayed from different points of view.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 03 2017 Jonathan Wakely <jwakely@redhat.com> - 0.1.0-5
- Rebuilt for Boost 1.64

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 0.1.0-2
- Rebuilt for Boost 1.63

* Tue Dec 20 2016 Caolán McNamara <caolanm@redhat.com> 0.1.0-1
- latest version using epoxy

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 0.0.2-11
- Rebuilt for Boost 1.60

* Thu Jan 14 2016 Adam Jackson <ajax@redhat.com> - 0.0.2-10
- Rebuild for glew 1.13

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.0.2-9
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.0.2-7
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.2-5
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 27 2015 David Tardon <dtardon@redhat.com> - 0.0.2-4
- rebuild for gcc5 C++ ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 0.0.2-3
- Rebuild for boost 1.57.0

* Tue Jan 13 2015 David Tardon <dtardon@redhat.com> - 0.0.2-2
- rebuild for glm 0.9.6.1

* Fri Oct 03 2014 David Tardon <dtardon@redhat.com> 0.0.2-1
- initial import
